alter user mqseries default tablespace users temporary tablespace temp;
alter user mqseries quota unlimited on users;
drop table mqseries.mqmsgs;
drop sequence mqseries.mqseq;
commit;
create table mqseries.mqmsgs
             (msg_id     integer  constraint pkmqmsgs PRIMARY KEY,
              msg_data   varchar(500)); 
create sequence mqseries.mqseq;
commit;
insert into mqseries.mqmsgs (msg_id, msg_data)
            values(mqseries.mqseq.nextval,'message '||to_char(mqseries.mqseq.currval));
insert into mqseries.mqmsgs (msg_id, msg_data)
            values(mqseries.mqseq.nextval,'message '||to_char(mqseries.mqseq.currval));
insert into mqseries.mqmsgs (msg_id, msg_data)
            values(mqseries.mqseq.nextval,'message '||to_char(mqseries.mqseq.currval));
insert into mqseries.mqmsgs (msg_id, msg_data)
            values(mqseries.mqseq.nextval,'message '||to_char(mqseries.mqseq.currval));
insert into mqseries.mqmsgs (msg_id, msg_data)
            values(mqseries.mqseq.nextval,'message '||to_char(mqseries.mqseq.currval));
insert into mqseries.mqmsgs (msg_id, msg_data)
            values(mqseries.mqseq.nextval,'message '||to_char(mqseries.mqseq.currval));
insert into mqseries.mqmsgs (msg_id, msg_data)
            values(mqseries.mqseq.nextval,'message '||to_char(mqseries.mqseq.currval));
insert into mqseries.mqmsgs (msg_id, msg_data)
            values(mqseries.mqseq.nextval,'message '||to_char(mqseries.mqseq.currval));
insert into mqseries.mqmsgs (msg_id, msg_data)
            values(mqseries.mqseq.nextval,'message '||to_char(mqseries.mqseq.currval));
insert into mqseries.mqmsgs (msg_id, msg_data)
            values(mqseries.mqseq.nextval,'message '||to_char(mqseries.mqseq.currval));
commit;
CREATE OR REPLACE FUNCTION MQSERIES.MQDEL(key IN binary_integer) RETURN BINARY_INTEGER
   IS
id int := 0;
begin

    -- make sure the key exits
    select msg_id into id from mqseries.mqmsgs where msg_id = key;

    -- no exception was raised, must be there
    delete from mqseries.mqmsgs where msg_id = key;
    return(0);

exception

    when NO_DATA_FOUND then
       return(1);
    when OTHERS then
       return(2);

end;
/
CREATE OR REPLACE FUNCTION MQSERIES.MQISRT(msg IN VARCHAR) RETURN BINARY_INTEGER
   IS
begin

    -- insert the row
    insert into mqseries.mqmsgs (msg_id, msg_data)
            values(mqseries.mqseq.nextval, msg);
    return(0);

exception

    when DUP_VAL_ON_INDEX then
       return(1);
    when OTHERS then
       return(2);

end;
/
